Subject: Re: Tk_GetFontStruct for Win32
From: [email-masked] (Mumit Khan)

15 Jul 1998 05:42:51 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Joachim Faulhaber <[email-masked]>
Cc: [email-masked]

On Tue, 14 Jul 1998, Joachim Faulhaber wrote:

> Hello,
> 
> I'm porting a program using Cygnus from Linux to Windoze. My program
> uses tcl/tk and the XFontStruct font description to deal with X-fonts
> under X. Under win95 my program compiles nicely except for a linker
> error:
> 
> undefined reference to Tk_GetFontStruct

You must still be using tk4.2 on Linux since it's been gone in tk8.0
and beyond! If you use tcl/tk, then you *must* read the changes file to 
see what has changed since the last release, especially the ones marked 
"POTENTIAL INCOMPATIBILITY".

These have been replaced by much more usable and portable Tk_GetFont,
Tk_NameOfFont and Tk_FreeFont. See the manual pages for tcl/tk8.0+ for
fore more info.

> 
> Obviously there is no function Tk_GetFontStruct and probably no
> XFontStruct available for win95. Can someone give me information how I
> can find font description structures for win32 and Tk-functions to work
> with them. Where can I find documentation. Are there good books for
> those questions of Win32-programming?

This particular case obviously has nothing to do with Win32-programming,
but rather the Tk interface.

Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".